部署Drupal8需要的服务器环境

Drupal8安装环境需求(部署Drupal8需要的服务器环境)

1、浏览器需求
以下是已知的对Drupal8核心支持的浏览器

Internet Explorer 11 (IE9 and 10 support ended, see further details)
Microsoft Edge
Firefox 5.x and later
Opera 12 and later
Safari 5.x and later
Google Chrome

2、数据库服务器
MySQL, MariaDB or Percona Server (推荐)
需要 MySQL 5.5.3/MariaDB 5.5.20/Percona Server 5.5.8 或者更高版本并使用InnoDB作为主要存储引擎。 

备注
1)只有Drupal8.6或者以上的版本支持 mysql8 
2)drupal自身会申城默认的操作mysql的配置文件,

PostgreSQL:需要PostgreSQL 9.1.2 或者更高的版本

SQLite:需要SQLite 3.6.8或者更高版本

3、Web 服务器

推荐使用PHP7.1或者7.2(drupal8.50*)

文件和文件夹的权限
Drupal8和PHP应该有对 /sites/default/files  文件夹的读和写权限;

apache
apache 是最普片的用于Drupal8 Web服务器的,Drupal可以与运行在apache2.x上

如果要开启clean url,需要在apache配置文件中的虚拟目录下,设置AllowOverride All;

如果apache服务默认开启Options +MultiViews;在虚拟目录下应该使用Options -MultiViews

Nginx
Nginx是一个普遍用于web服务器的服务,它主要针对高性能、低内存。
drupal8 支持Nginx legacy versions (0.7.x, 0.8.x, 1.0.x, 1.2.x), stable 1.8.x versions, and mainline 1.9.x versions

Hiawatha和Microsoft IIS在我实际应用中很少使用,所以不作详细介绍,如果您对这方面有需求,可以查看官方介绍
https://www.drupal.org/docs/8/system-requirements/web-server

注明:本文为星速云原创版权所有,禁止转载,一经发现将追究版权责任!

(0)
上一篇 2022年7月20日 上午3:03
下一篇 2022年7月20日 上午3:03

相关推荐

发表评论

登录后才能评论
问答社区 QQ客服
微信客服
微信客服
分享本页
返回顶部